Computer Actions
Drag mouse
Drag the mouse from one screen coordinate to another.
POST
/
computers
/
{id}
/
drag
Drag mouse
curl --request POST \
--url https://www.orgo.ai/api/computers/{id}/drag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_x": 100,
"start_y": 100,
"end_x": 300,
"end_y": 200,
"duration": 0.5
}
'import requests
url = "https://www.orgo.ai/api/computers/{id}/drag"
payload = {
"start_x": 100,
"start_y": 100,
"end_x": 300,
"end_y": 200,
"duration": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({start_x: 100, start_y: 100, end_x: 300, end_y: 200, duration: 0.5})
};
fetch('https://www.orgo.ai/api/computers/{id}/drag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "Invalid API key"
}{
"error": "Resource not found"
}Performs a mouse drag from start to end coordinates.
Path parameters
string
required
Computer ID (UUID).
Body parameters
integer
required
Starting X coordinate.
integer
required
Starting Y coordinate.
integer
required
Ending X coordinate.
integer
required
Ending Y coordinate.
Response
boolean
true if the drag was performed.string
Always
drag.Example
curl -X POST https://www.orgo.ai/api/computers/a3bb189e-8bf9-3888-9912-ace4e6543002/drag \
-H "Authorization: Bearer $ORGO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"start_x": 100,
"start_y": 100,
"end_x": 300,
"end_y": 200
}'
import requests
requests.post(
f"https://www.orgo.ai/api/computers/{computer_id}/drag",
headers={"Authorization": f"Bearer {api_key}", "Content-Type": "application/json"},
json={
"start_x": 100,
"start_y": 100,
"end_x": 300,
"end_y": 200
}
)
await fetch(`https://www.orgo.ai/api/computers/${computerId}/drag`, {
method: 'POST',
headers: {
'Authorization': `Bearer ${apiKey}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
start_x: 100,
start_y: 100,
end_x: 300,
end_y: 200
})
});
Response
{
"success": true,
"action": "drag",
"details": { "start_x": 100, "start_y": 100, "end_x": 300, "end_y": 200 }
}
Errors
| Status | Meaning |
|---|---|
400 | Missing required coordinate, or computer instance not available. |
401 | Missing or invalid API key. |
403 | You do not have access to this computer. |
404 | Computer not found. |
500 | Upstream desktop agent failure. |
Authorizations
API key authentication. Get your key at orgo.ai/workspaces
Path Parameters
Computer ID
Body
application/json
Response
Drag performed
Example:
true
⌘I
Drag mouse
